<?php 
declare(strict_types=0);
// session_start();
foreach($_GET  as $key => $value){${$key}=trim($value);} 
foreach($_POST as $key => $value){${$key}=trim($value);} 
include_once('lib_main.php');

if(!empty($empr)){$link_data=msql_connect('','','',$empr); $cfg_empr=$empr;}
$user_codigo=$_SESSION['user_codigo'];
$user0=data_maes('user',$user_codigo);
$empr0=data_maes('empr',$cfg_empr);
if(empty($user_codigo)){include('user_login0.php');return;}

$modu='hcli';
$info='hcblog';
// $info='hcdet2';
$info_descri='HISTORIAL';

if(empty($ptoe)){$ptoe='001001';}
     
if($info=='hcblog'){$info_descri='HISTORIAL';}
if(empty($user0['user_tipo'])){$cost='false';}

if(!mb_stristr('sist.supe',$user0['user_tipo']))
{
     $sql_acce='select * from acce1 left join acce2 on idnum1=idnum2 where numero='.$user_codigo.' and docum="COST" and info=1';
     $res_acce=msql_query($sql_acce,$link_data);
     if(msql_num_rows($res_acce)==0){$cost='false';}
}

$docu0=data_maes('docu',$docu);
$enti0=data_maes('enti',$enti);

$modu=strtolower($modu);
$tabla=$modu;

if(@mb_stristr('hcli',$modu)){$tabla='hcli';}

$modu=strtolower($modu);  
$xtitulo='HISTORIAL';
if($modu=='hcli'){$xtitulo='HIST.CLINICA';}


$xtitle='REG.'.$xtitulo;
$xtopcenter=$xtitle;

$fecha0=fecha0($modu);
if(empty($fecha)){$fecha=date('Y-m-d');}
$fecha_min=date('Y-m-d',strtotime('-360 days'));
{$fecha1=date('Y-m-d',strtotime('-360 days'));}
if(empty($fecha2))
{$fecha2=date('Y-m-d');}

$dom = new DOMDocument();
     $dom->encoding = 'utf-8';
     $dom->xmlVersion = '1.0';
     $dom->formatOutput = true;

echo $dom->saveXML();



//  SELECT DB
if(!empty($enti))
{include('sele_info.php');}

if(!empty($sql_info))
{
     
     $sql_info=str_replace('order by ','order by fecha desc, idnum1 desc, iddet desc, ',$sql_info);
     $sql_info.=' limit 25';
     $res_info=msql_query($sql_info,$link_data);
     if(msql_num_rows($res_info)==0)
     {
//           if($fecha1!=$fecha2)
//           {
//                $fechax=fechax(7,'hcli','','',$enti);
//                $sql_info=str_replace($fecha1,$fechax,$sql_info);
//                $res_info=msql_query($sql_info,$link_data);
//                $fecha1=$fechax;
//           }
     }
     
     if(msql_num_rows($res_info)==0)
     {
          if($fecha1!=$fecha2)
          {
               $sql_info=str_replace($fecha1,$fecha0,$sql_info);
               $res_info=msql_query($sql_info,$link_data);
          }
     }
     $msgres=number_format(msql_num_rows($res_info)).' Resultado(s)...';
}
// echo '*/*/*'. $sql_info;

// PANTALLA FILTROS
echo '<div id="filtros" noprint >';
{
     echo '<div hide>';     
     {
     echo '<input id="idnum" value="'.$idnum.'">';
     echo '<input id="fecha1" value="'.$fecha1.'">';
     echo '<input id="fecha2" value="'.$fecha2.'">';
     }
     echo '</div>';     

$ztabla='pcnt';
include('ele_datalist.php');
     
$ztabla='docu';
$zwhere='(docu_tabla="hcli")';
include('ele_datalist.php');

$ztabla='item';
include('ele_datalist.php');
     
$zobj=2;     
include('ele_break.php');

// $docu='HCLI';    
$zobj=1;
$zsize=1.2;     
$zid='docu';
$ztabla='docu';
$zlabel='Documento';
$zwhere='(docu_tabla="'.$modu.'")';
$zvalue=$docu; 
if(!empty($docu)){$zreado=2;}     
$zonblur='{location.href="?scri='.basename(__FILE__,'.php').'&docu="+document.getElementById("docu").value+"&enti="+document.getElementById("enti").value;}';
$zonchange=$zonblur;
include('ele_select.php');
     
          
$zid='ptoe';
$ztabla='ptoe';
$zlabel='Pto.Emi.';
$zvalue=$ptoe; 
$zhide=1;     
include('ele_select.php');     

$zid='numero';
$zlabel='Numero';
$zvalue=$numero;
$zvalue=(int)$numero;
// $zmin=1;
// $zmax=9999999;     
$zclass='numeric-int';
$zreado=2;     
$zondblclick='{document.getElementById("'.$zid.'").style.width="'.round(7*2/3,2).'em";}';     
// $zonblur='{if(document.getElementById("'.$zid.'").getAttribute("disabled")!=""){document.getElementById("idnum1").value="";fn_consulta();}}';
$zonblur='{if(document.getElementById("'.$zid.'").getAttribute("disabled")!=""){document.getElementById("idnum1").value="";}}';
$zonchange='{fn_consulta(event);}';
$zbackcolor='grey';
$zfontcolor='white';
$zsize=1.2;     
$zhide=1;     
include('ele_input.php');
     
     
     
     
$zid='hora';
$ztype='date';
$zlabel='Fecha';
$zvalue=$fecha;
$zmin=$fecha_min;     
$zmax=$fecha2; 
$zreado=2;   
$zhide=1;     
include('ele_input.php');  
     
     
     
$zid='enti';
$ztabla='pcnt';
$zlabel='Paciente';
$zvalue=$enti; 
$zmaxwidth=20; 
$zonblur='{location.href="?scri='.basename(__FILE__,'.php').'&docu="+document.getElementById("docu").value+"&enti="+document.getElementById("enti").value;}';
$zonchange=$zonblur;
if(!empty($enti)){$zreado=2;}     
$zsize=1.5;     
include('ele_input.php');

     
     
     
if(!empty($enti))
{
     
$zid='btn_consul'; 
$zlabel='Consultar';
$zalign='right';
// $zonclick='{fn_consulta(event);}';
$zonclick='{document.getElementById("fecha1").value="";document.getElementById("fecha2").value="";fn_consulta(event);}';
include('ele_button.php');

echo '<span style="float:right; white-space:nowrap;">';     
echo $msgres;
echo '</span>';     
     
     
$zobj=2;     
$zsize=1;     
include('ele_break.php');

     
     
$zlabel='🐣 Nacimiento';
$zvalue=$enti0['enti_fechanac'];
$zwidth=6;     
$zreado=1;
include('ele_input.php');

// $zid='xedad';     
$zlabel='Edad';
$zvalue=$enti0['enti_edad1'].':'.$enti0['enti_edad2'];
$zwidth=4;     
$zreado=1;
include('ele_input.php');

     
$zlabel='Sexo';
$zvalue=$enti0['enti_sexod'];
$zreado=1;
include('ele_input.php');

     
     
     
if($_SESSION['empr_clinica']==1)
{
$zlabel='Sangre';
$zvalue=$enti0['enti_sangre'];
$zwidth=3;     
$zreado=1;
include('ele_input.php');
}
     
if($_SESSION['empr_veterinaria']==1)
{
     $zlabel='Especie';
     $zreado=1;
     $zvalue=$enti0['enti_especie'];
     include('ele_input.php');

     $zlabel='Raza';
     $zreado=1;
     $zvalue=$enti0['enti_raza'];
     include('ele_input.php');

     $zlabel='Color';
     $zreado=1;
     $zvalue=$enti0['enti_color'];
     include('ele_input.php');
}          

     
$zid='esteril';
$zlabel='Estéril';
$zvalue=$enti0['enti_esterild'];
$ztriv=1;
$zreado=2;
$zwidth=2;     
$zsave=1;     
$zsavet='enti';
$zsavec=$enti0['enti_codigo'];
$zsavef='esteril';
include('ele_select.php');     

     
$zid='veneno';
$zlabel='☠️ Veneno';
$zvalue=$enti0['enti_venenod'];
$ztriv=1;
$zreado=2;     
$zwidth=2;    
$zsave=1;     
$zsavet='enti';
$zsavec=$enti0['enti_codigo'];
$zsavef='veneno';
include('ele_select.php');     
// include('ele_input.php');
     


// if($docu!='HC10')
{
     
     $sql_hc10='select * from hcli1 left join hcli2 on idnum1=idnum2 ';
     $sql_hc10=calc_fields($tabla,$sql_hc10);
     $sql_hc10.='where docu="HC10" order by idnum1 desc, idate2 desc limit 1';
     $res_hc10=msql_query($sql_hc10,$link_data);
     $hc10=msql_fetch_assoc($res_hc10);     

     if(msql_num_rows($res_hc10)!=0 and 1==2) 
     {

          $zobj=2;     
          $zsize=3;     
          include('ele_break.php');

          if($_SESSION['empr_clinica']==1)
          {
          $zlabel='F.Respirat';
          $zreado=1;
          $zvalue=$hc10['frrpm'] ;
          include('ele_input.php');

          $zlabel='F.Cardiaca';
          $zreado=1;
          $zvalue=$hc10['fcbpm'] ;
          include('ele_input.php');

          $zlabel='Presión';
          $zreado=1;
          $zvalue=$hc10['psisto'] .' /'.$hc10['pdiasto'] ;
          include('ele_input.php');

//           $zlabel='P.Diastó';
//           $zreado=1;
//           $zvalue=$hc10['pdiasto'] ;
//           include('ele_input.php');


          $zlabel='Talla cm.';
          $zreado=1;
          $zvalue=$hc10['tallacm'] ;
          include('ele_input.php');
               
               
          }
          
          if($_SESSION['empr_veterinaria']==1)
          {
               $zlabel='Temp °C';
               $zvalue=$hc10['tempcor'] ;
               $zwidth=4;
               $zreado=1;
               include('ele_input.php');
               
               $zlabel='Peso Kg.';
               $zvalue=$hc10['pesokg'] ;
               $zwidth=4;
               $zreado=1;
               include('ele_input.php');
               
               
               $zlabel='Deshidratación';
               $zvalue=$hc10['dhidrad'] ;
//                $zwidth=4;
               $zreado=1;
               include('ele_input.php');
               
               $zlabel='Petequia';
               $zvalue=$hc10['ptquiad'] ;
               $zwidth=2;
               $zreado=1;
               include('ele_input.php');
               
               $zlabel='Ectoparasitos';
               $zvalue=$hc10['ectoprd'] ;
//                $zwidth=4;
               $zreado=1;
               include('ele_input.php');
               
          }



     }

}
     
     
$zobj=2;     
include('ele_break.php');

if(empty($fase)){$fase='vitales';}     
// $zobj=4; 
$zsize=1.2;     
$zid='fase';
$zlabel='🧑🏻‍⚕️Fase';
$zvalue=$fase;
$zoptions='';     
$zoptions.='vitales,Vitales;';
$zoptions.='medible,Medibles;';
$zoptions.='explora,Exploración;';     
$zoptions.='vacunas,Vacunas;';
$zoptions.='medica,Medicación;';
$zoptions.='examen,Examen;';
     
$zoptions.='subjetivo,Subjetivos;';     
$zoptions.='objetivo,Objetivos;';     
     
$zoptions.='diagnostico,Diagnóstico;';     
$zoptions.='pronostico,Pronóstico;';     
$zoptions.='tratamiento,Tratamiento;';     
$zoptions.='observacion,Observación;';     
// $zhide=1;
$zonblur='{location.href="?scri='.basename(__FILE__,'.php').'&docu="+document.getElementById("docu").value+"&enti="+document.getElementById("enti").value+"&fase="+document.getElementById("fase").value;}';
$zonchange=$zonblur;
include('ele_select.php');     

     
     
$zid='fecha';
$ztype='date';
$zlabel='Fecha';
// $zvalue=$fecha;
$zmin=$fecha_min;     
$zmax=$fecha2; 
$zreado=1;   
if($fase=='vacunas'){$zreado=2;}
if($fase=='vacunas'){$zvalue=$fecha;}
// $zhide=1;     
// if($fase=='vacunas'){$zhide=0;}
include('ele_input.php');  
     
     
     
     
$zobj=1;     
include('ele_break.php');
     
     
if($fase=='vitales')     
{
     $zobj=4;
     $zid='tempcor';
     $zlabel='Temp °C';
     $zvalue=$tempcor;
     if(empty($zvalue)){$zvalue=$hc10[$zid];}
     $zwidth=5;
     $zclass='numeric-dec';
     $zmin=30;
     $zmax=45;
     $zstep=0.1;
     include('ele_input.php');

     $zobj=4;
     $zid='freqres';
     $zlabel='F.Respira.';
     $zvalue=$freqcar;
     if(empty($zvalue)){$zvalue=$hc10[$zid];}
     $zwidth=5;
     $zclass='numeric-int';
     $zmin=0;
     $zmax=200;
     include('ele_input.php');

     $zobj=4;
     $zid='freqcar';
     $zlabel='F.Cardiaca';
     $zvalue=$freqcar;
     if(empty($zvalue)){$zvalue=$hc10[$zid];}
     $zwidth=5;
     $zclass='numeric-int';
     $zmin=0;
     $zmax=200;
//      $zdefa=$zmin;
     include('ele_input.php');
     
     if($_SESSION['empr_clinica']==1)
     {
     $zobj=4;
     $zid='presart';
     $zlabel='Presión';
     $zvalue=$presart;
     if(empty($zvalue)){$zvalue=$hc10[$zid];}
     $zwidth=5;
     include('ele_input.php');
     }
}
     
if($fase=='medible')     
{
     $zobj=4;
     $zid='pesokg';
     $zlabel='Peso Kg.';
     $zvalue=$pesokg;
     if(empty($zvalue)){$zvalue=$hc10[$zid];}
     $zwidth=5;
     $zclass='numeric-dec';
     $zmin=0.5;
     $zmax=150;
     $zdefa=$zmin;
     include('ele_input.php');
     
     if($_SESSION['empr_clinica']==1)
     {
          $zobj=4;  
          $zid='tallacm';
          $zlabel='Talla cm.';
          $zvalue=$tallacm;
          if(empty($zvalue)){$zvalue=$hc10[$zid];}
          $zwidth=6;
          $zclass='numeric-int';
          $zmin=10;
          $zmax=200;
          $zdefa=$zmin;
          $zstep=1;
          include('ele_input.php');
     }
     
     
     if($_SESSION['empr_veterinaria']==1)
     {
          $zobj=4;  
          $zid='hshcm';
          $zlabel='HSh cm.';
          $zvalue=$hshcm;
          if(empty($zvalue)){$zvalue=$hc10[$zid];}
          $zwidth=6;
          $zclass='numeric-int';
          $zmin=0;
          $zmax=150;
          $zdefa=$zmin;
          $zstep=1;
          include('ele_input.php');

          $zobj=4;  
          $zid='otcm';
          $zlabel='OT cm.';
          $zvalue=$otcm;
          if(empty($zvalue)){$zvalue=$hc10[$zid];}
          $zwidth=6;
          $zclass='numeric-int';
          $zmin=0;
          $zmax=200;
          $zdefa=$zmin;
          $zstep=1;
          include('ele_input.php');
     }
     
     
     
     
}
     
if($fase=='explora')     
{
    
     if($_SESSION['empr_veterinaria']==1)
     {
          
     $zobj=4;
     $zid='mucosa';
     $zlabel='💦 Mucosas';
//      $zdefa=1;     
     $zvalue=$mucosa;
//      $zoptions.='0,;';     
     $zoptions.='1,1-Normales;';     
     $zoptions.='2,2-Anémicas;';     
     $zoptions.='3,3-Ictéricas;';     
     $zoptions.='4,4-Congestivas;';     
     $zoptions.='5,5-Cianóticas;';     
     include('ele_select.php');
          
          
          
// Los tipos de deshidratación son: Isotónica, Hipertónica, Hipotónica.
// Los grados son:
// Menos del 4 % de deshidratación: No es grave y no notaremos ningún síntoma. 
// Entre 5-6 %: En este caso si hacemos la comprobación de la piel, el pliegue no vuelve a su forma enseguida.
// Entre 6-8 %: Aquí con la comprobación del pliegue podemos comprobarlo al instante.
// Entre 8-10 %: Además del pliegue, también observamos sequedad de mucosas y hundimiento de ojos. 
// Entre 10-12 %: además de los síntomas ya mencionados, el perro comenzará a entrar en shock y apreciaremos sobre todo palidez en mucosas y frío en las extremidades. 
// Entre 10-15 %: el shock ya es muy grave y el perro está en peligro de muerte súbita, ya que más de 15 % de deshidratación se considera peligro de muerte.          
     
     $zobj=4;
     $zid='dhidra';
     $zlabel='💧 Deshidratación';
     $zvalue=$dhidra;
//      $zoptions.='0,;';     
     $zoptions.='1,1-Muy Leve;';     
     $zoptions.='2,2-Leve;';     
     $zoptions.='3,3-Moderada;';     
     $zoptions.='4,4-Severa;';     
     $zoptions.='5,5-Muy Severa;';     
     include('ele_select.php');
          
     $zobj=4;
     $zid='ptquia';
     $zlabel='🔴 Petequia';
     $zvalue=$ptquia;
//      $ztriv=1;
     $zoptions.='2,2-Leve;';     
     $zoptions.='3,3-Moderada;';     
     $zoptions.='4,4-Severa;';     
     include('ele_select.php');
          
     $zobj=4;
     $zid='ectopr';
     $zlabel='🐞 Ectoparásitos';
     $zvalue=$ectopr;
//      $ztriv=1;
     $zoptions.='0,0-Ninguno;';     
     $zoptions.='2,2-Pocos;';     
     $zoptions.='3,3-Muchos;';     
     $zoptions.='4,4-Abundantes;';     
     include('ele_select.php');
          
     }          
          
}     
     
if($fase=='vacunas')
{
     $sql_vacu='select * from item0 ';
     $sql_vacu.='where item_status not in ("I","X") ';
     $sql_vacu.='and (item_descri like "%VACUN%" or item_lsub like "%VAC%")';
     $sql_vacu.='order by item_lsub, item_codigo ';
//      if($enti0['enti_especie']=='CANINO')
//      {$sql_vacu.='and (item_codigo in(select item from vtas1 left join vtas2 on idnum1=idnum2 left join pcnt0 on pcnt=pcnt_codigo where pcnt_especie="CANINO"))';}
//      if($enti0['enti_especie']=='FELINO')
//      {$sql_vacu.='and (item_codigo in(select item from vtas1 left join vtas2 on idnum1=idnum2 left join pcnt0 on pcnt=pcnt_codigo where pcnt_especie="FELINO"))';}
     
     $res_vacu=msql_query($sql_vacu,$link_data);
     while($aso_vacu=msql_fetch_assoc($res_vacu))
     {
          $vacu_descri=$aso_vacu['item_descri'];
          $vacu_descri=strtolower($vacu_descri);
          $vacu_descri=str_replace('vacuna','',$vacu_descri);
          $vacu_descri=ucfirst($vacu_descri);
          $zid=$aso_vacu['item_codigo'];
//           $zvalue=${$zid};
          $zlabel=$vacu_descri;
          $ztype='check';
          include('ele_input.php');
     }
                    
}

if($fase=='medica')     
{
     
     $zobj=4;
     $zid='item';
     $zlabel='Medicamento';
     $zvalue=$item;
     $ztabla='item';
     $zlist='dl_item';
     include('ele_input.php');
     
     
     $zobj=4;
     $zid='cant';
     $zlabel='Dosis';
     $zvalue=$cant;
     if(empty($zvalue)){$zvalue=$hc10[$zid];}
     $zwidth=5;
     $zclass='numeric-dec';
//      $zmin=0.5;
//      $zmax=150;
//      $zdefa=$zmin;
     include('ele_input.php');
     
     
}
     
if($fase=='examen' and 1==2)     
{
     $zid='file';
     $zlabel='Examenes';
//      $zvalue=$p12file;
     $ztype='file';
     $zaccept='.pdf';
//      $zonclick2="upld_exam('pk12',document.getElementById('ruc').value,'p12file')";
//      $zonclick2="upld_docu('pk12',document.getElementById('ruc').value,'p12file')";
//      $zlabel2='Subir';
     $zmulti=1;
     include('ele_input.php');
     
     
     
}     
     
// Datos subjetivos proporcionados por el paciente
// Datos objetivos obtenidos de la exploración física y de las exploraciones complementarias
// Subjetivos
// Objetivos     
// Diagnóstico
// Pronóstico
// Tratamiento
     
if(!mb_stristr('vitales.medible.explora.vacunas.medica.examen',$fase))
{
     $zobj=4;
     $zsize=1.2;
     $zid='detalle';
     $zlabel='Notas';
     $zwidth=20;    
     $zrows=2;     
     $zvalue=$detalle;
     include('ele_input.php');
     
}

     
     
     
// $zid='examen';
// $zlabel='Examenes';
// $zwidth=25; 
// $ztype='area';     
// $zvalue=$examen;
// // $zrows=4;     
// include('ele_input.php');
     
// $zid='diagnostico';
// $zlabel='Diagnóstico';
// $zwidth=25; 
// $ztype='area';     
// $zvalue=$diagnostico;
// // $zrows=4;     
// include('ele_input.php');
     

$zid='btn_grabar'; 
$zlabel='Grabar';
$zalign='right';
$zonclick='{save_docu(event);}';
$zsize=1.5;
include('ele_button.php');
     
          
$zid='btn_impri'; 
$zlabel='Imprimir';
$zalign='right';
$zurl='';     
$zurl.='?scri=info_modu3';
$zurl.='&prnt=1';
$zurl.='&modu=hcli';
// $zurl.='&info=hcdeta';
$zurl.='&info=hchcli';
$zurl.='&fecha1=2020-01-01';
$zurl.='&fecha2='.date('Y-m-d');
$zurl.='&pcnt='.$enti;
$zonclick='{whcli=window.open("'.$zurl.'","_blank");whcli.print();}';
$zsize=1.5;
include('ele_button.php');
     
     
     

$zobj=2;     
include('ele_break.php');
}

// TITULO     
{
// $ztitulo=$xtitulo;     
// include('ele_title.php');
     
//      $zid='orden';
//      $zvalue=$orden;
//      $zlabel='Ordenar X';
//      $zoptions='';
//      if($modu=='inve')     
//      {
//           $zoptions.='Linea;';
//      }     
//      if($modu=='vtas')     
//      {
//           $zoptions.='Zona;';
//           $zoptions.='Linea;';
//      }
//      if($modu=='comp')     
//      {
//           $zoptions.='T.Prov.;';
//           $zoptions.='CAIR;';
//      }
//      $zoptions.='Código;';
//      $zoptions.='Nombre;';


//      $zonchange='{fn_consulta(event);}';
//      $zalign='right';
//      include('ele_select.php');

}
     
     

}     
// include('ele_break.php');
echo '</div>';


// RESULTADO
echo '<div id="main2" >';

$sql_idx=1;

for($idx=1; $idx<=$sql_idx; $idx++)
{
     if(gettype($res_info)!='NULL')
     {
          $zreso=$res_info;
          $zinfo=$info;
          $zname=$zname;
          $zhead=0;
          $zgfsize=0.9;
          $zhidebtns=1;
//           $zblockrows=3;
          $zheightrow='3';
          $zblockidnum=1;
//           $zwidthtable='100%';
          include('ele_grid.php');     
          
//           if($info=='bbkrdx')
//           {if($idx<msql_num_rows($res_krdx)){echo '<div id="pgbreak" style="height:2em;"></div>';}}

     }
}     

echo '</div>';     

?>

<script>
function fn_consulta(event)
{
     var xhref='',dataget;
     xhref=xhref+'?scri=<?php echo basename(__FILE__,'.php');?>';
     
     dataget=new_FormData('filtros','get');
     xhref=xhref+dataget;
     
     document.getElementById("main2").innerHTML='Espere...';
     location.href=xhref;
     
}
</script>

<script>
// function save_docu(event)
// {
// //      var xhref='',datapost;
// //      xhref=xhref+'?scri=<?php //echo basename(__FILE__,'.php');?>';
     
//      var datapost;
//      datapost=new_FormData('filtros','post');
//      datapost.append('script','save_docu');
//      document.getElementById("main2").innerHTML='Espere...';
//      exe_ajax(datapost,'','',true);
//      window.location.reload();
     
// }
</script>




<script>document.title="<?php echo $xtitle;?>"</script>
<script>document.getElementById('topcenter').innerHTML="<?php echo $xtopcenter;?>"</script>
<!-- <script>opt_list_plan();</script> -->
<!-- <script>set_noback();</script> -->
<!-- <script>window.onbeforeunload = function(){return 'Are you sure you want to leave?';};</script> -->

